Update Corporate Customer Director
curl --request PUT \
--url https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/directors/{directorId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"dateOfBirth": "<string>",
"address": "<string>",
"bvn": "<string>",
"nin": "<string>",
"meterNumber": "<string>",
"discoCode": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/directors/{directorId}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"dateOfBirth": "<string>",
"address": "<string>",
"bvn": "<string>",
"nin": "<string>",
"meterNumber": "<string>",
"discoCode": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
middleName: '<string>',
email: '<string>',
phoneNumber: '<string>',
dateOfBirth: '<string>',
address: '<string>',
bvn: '<string>',
nin: '<string>',
meterNumber: '<string>',
discoCode: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/directors/{directorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": null
}
Corporate
Update Corporate Customer Director
This endpoint enables you to update a corporate customer director details
PUT
/
corporate
/
customers
/
{customerId}
/
directors
/
{directorId}
Update Corporate Customer Director
Request Parameters
string
required
The unique identifier of a corporate customer. Example:
123456string
required
The unique identifier mapped to a corporate customer’s director. Example:
01234567-0001string
The first name of the individual. Example:
Johnstring
The last name of the individual. Example:
Doestring
The middle name of the individual. Example:
Michaelstring
The individual’s email address. Example:
john.doe@example.comstring
The individual’s phone number. Example:
08012345678string
The individual’s date of birth in
YYYY-MM-DD format. Example:
1980-01-01string
The residential address of the individual. Example:
12 Adeola Odeku Street, Victoria Island, Lagosstring
The Bank Verification Number (BVN) of the individual. Example:
12345678901string
The National Identification Number (NIN) of the individual. Example:
12345678901string
The individual’s electricity meter number, if applicable. Example:
1234567890string
Disco Code must be one of ABUJA, EKO, IKEJA, IBADAN, ENUGU, PH, JOS, KADUNA,
KANO, BH, PROTOGY, PHISBOND, ACCESSPOWER, YOLA, ABIA, ADAMAWA, AKWA IBOM,
ANAMBRA, BAUCHI, BAYELSA, BENUE, BORNO, CROSS RIVER, DELTA, EBONYI, EDO,
EKITI, GOMBE, IMO, JIGAWA, KATSINA, KEBBI, KOGI, KWARA, LAGOS, NASSARAWA,
NIGER, OGUN, ONDO, OSUN, OYO, PLATEAU, RIVERS, SOKOTO, TARABA, YOBE, ZAMFARA,
FCT
{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": null
}
⌘I